Public Member Functions | Static Public Member Functions | List of all members
clan::DisplayCache Class Referenceabstract
clanDisplay Resources

`#include <display_cache.h>`

## Public Member Functions
virtual | ~DisplayCache ()
virtual Resource< Font > | get_font (Canvas &canvas, const std::string &family_name, const FontDescription &desc)=0
virtual Resource< Image > | get_image (Canvas &canvas, const std::string &id)=0
virtual Resource< Sprite > | get_sprite (Canvas &canvas, const std::string &id)=0
virtual Resource< Texture > | get_texture (GraphicContext &gc, const std::string &id)=0

## Static Public Member Functions
static DisplayCache & | get (const ResourceManager &resources)
static void | set (ResourceManager &resources, const std::shared_ptr< DisplayCache > &cache)

The documentation for this class was generated from the following file:

- display_cache.h